﻿@{ ViewData["Title"] = "Edit Media";
@model media_model.Media.MediaData
}

<h3 class="m-3 text-dark">Edit - Media</h3>
<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" id="x">
    @using (Html.BeginForm("edit", "media", FormMethod.Post, new { enctype = "multipart/form-data", onsubmit = "if(!(EditMedia(this))) return false;" }))
    {
<div class="card card-primary card-outline">
    <div class="card-header">
        <h5>Please fill in all required information.</h5>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="form-group" id="upload">
                    @Html.LabelFor(m => m.FileBytes, new { @class = "control-label f-left lh" })<br />
                    @Html.TextBoxFor(m => m.Id, new { @type = "hidden" })
                    <div class="file-field">
                        <div class="z-depth-1-half mb-4 mt-4">
                            @if (Model.FileType == "video/mp4")
                            {
                            <video width="420" height="340" controls  class="center">
                                <source src="@Url.Content(Model.FileUrl)" type="video/mp4">
                            </video> 
                            }
                            else
                            { <img src="@Url.Content(Model.FileUrl)" alt="" class="img-fluid center" width="300" /> }
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    @Html.LabelFor(m => m.FileName, new { @class = "control-label f-left lh" })
                    @Html.TextBoxFor(m => m.FileName, new { @class = "form-control" })
                </div>
                <div class="form-group">
                    @Html.LabelFor(m => m.FileType, new { @class = "control-label f-left lh" })
                    @Html.TextBoxFor(m => m.FileType, new { @class = "form-control", @readonly = "true" })
                </div>
                <div class="form-group">
                    @Html.LabelFor(m => m.FileSize, new { @class = "control-label f-left lh" })
                    @Html.TextBoxFor(m => m.FileSize, new { @class = "form-control", @readonly = "true" })
                </div>
            </div>
        </div>
    </div>
    <div class="card-footer">
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="form-group">
                <input type="submit" value="Update" class="btn btn-primary col-lg-3 col-md-4 col-sm-4 col-xs-12" onclick="return " />
                <input type="button" value="Cancel" class="btn btn-default col-lg-3 col-md-4 col-sm-4 col-xs-12" onclick="history.go(-1)" />
            </div>
        </div>
    </div>
</div>}
</div>

@section Scripts {
    <script>

        $(document).ready(function () {

        });

        function EditMedia(formData) {
            var result = false;
            if (validateData()) {
                var ajaxConfig = {
                    type: "POST",
                    url: "/Media/Update",
                    data: new FormData(formData),
                    success: function (result) {
                        if (result.code == "0") {
                            window.location.href = "/home/index";
                            result = true;
                        }
                        else {
                            alert(result.message);
                            Loading(false);
                        }
                    },
                }
                if ($(formData).attr('enctype') == "multipart/form-data") {
                    ajaxConfig["contentType"] = false;
                    ajaxConfig["processData"] = false;
                }
                $.ajax(ajaxConfig);
            }
            return result;
        }


        function validateData() {
            //Show loading
            Loading(true);
            if (getValue("FileName") == "") {
                alert("Please fill in data \"FileName\".");
                Loading(false);
                return false;
            }
            else {
                return true;
            }
        }
    </script>
}